import { IRecordLockingError, IRecordLockingLockRecord } from "../../types";
import { IRecordLockingLockEntryParams } from "../abstractions/IRecordLockingLockEntry";
export type IRecordLockingLockEntryVariables = IRecordLockingLockEntryParams;
export interface IRecordLockingLockEntryResponse {
    recordLocking: {
        lockEntry: {
            data: IRecordLockingLockRecord | null;
            error: IRecordLockingError | null;
        };
    };
}
export declare const createLockGraphQL: () => import("graphql").DocumentNode;
