"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RecordLockingUnlockEntry = void 0;
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _error = require("@webiny/error");
var _unlockEntry = require("./graphql/unlockEntry");
var RecordLockingUnlockEntry = exports.RecordLockingUnlockEntry = /*#__PURE__*/function () {
  function RecordLockingUnlockEntry(params) {
    (0, _classCallCheck2.default)(this, RecordLockingUnlockEntry);
    this.client = params.client;
  }
  return (0, _createClass2.default)(RecordLockingUnlockEntry, [{
    key: "execute",
    value: async function execute(params) {
      var result = await this.client.mutation({
        mutation: _unlockEntry.UNLOCK_ENTRY_MUTATION,
        variables: params
      });
      if (!result.data?.recordLocking?.unlockEntry) {
        throw new _error.WebinyError("No data returned from server.");
      }
      return result.data.recordLocking.unlockEntry;
    }
  }]);
}();

//# sourceMappingURL=RecordLockingUnlockEntry.js.map